| GET | /RestApi/apiservice/services |
|---|
import java.math.*
import java.util.*
import net.servicestack.client.*
open class GetServices
{
var Types:Boolean? = null
}
open class ServicesResponse
{
var Services:ArrayList<ServicesProxy>? = null
var ErrorMessage:String? = null
}
open class ServicesProxy
{
var Name:String? = null
var Route:String? = null
var UrlName:String? = null
var Enabled:Boolean? = null
var Access:String? = null
var ApiKey:String? = null
var AccessControlAllowOrigin:String? = null
var AutogenerateTypes:Boolean? = null
var Types:ArrayList<ContentsProxy> = ArrayList<ContentsProxy>()
var Protocol:String? = null
var ErrorMessage:String? = null
}
open class ContentsProxy
{
var Name:String? = null
var ReadOnly:Boolean? = null
var UrlKey:String? = null
var ClrType:String? = null
var Access:String? = null
var Properties:ArrayList<PropertiesProxy> = ArrayList<PropertiesProxy>()
var Children:ArrayList<ContentsProxy> = ArrayList<ContentsProxy>()
var AutogenerateProperties:Boolean? = null
var parentId:String? = null
}
open class PropertiesProxy
{
var Name:String? = null
var PropertyType:String? = null
var IsPersistent:Boolean? = null
var AllowSort:Boolean? = null
var AllowFilter:Boolean? = null
var IsKey:Boolean? = null
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/apiservice/services HTTP/1.1 Host: www.asg.com.au Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
Services:
[
{
"Name": "String",
"Route": "String",
"UrlName": "String",
"Enabled": false,
"Access": "String",
"ApiKey": "String",
"AccessControlAllowOrigin": "String",
"AutogenerateTypes": false,
"Types": null,
"Protocol": "String",
"ErrorMessage": "String"
}
],
ErrorMessage: String
}